+ Reply to Thread
Results 1 to 2 of 2

Thread: need help, still have V1.0

  1. #1

    need help, still have V1.0

    Hi, it's been a very long time since I played Doomsday and I want to upgrade correctly. Can someone please tell me what I need?

    thank you

  2. #2
    Never mind guys, got it done. But what is the expansion?

+ Reply to Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts